Get Scheduled Posts

Fetch a list of posts that are scheduled for future publishing.

query GetScheduledPosts {
  posts(
    input: {organizationId: "some_organization_id", sort: [{ field: dueAt, direction: asc  }, { field: createdAt, direction: desc  }] filter: {status: [scheduled]}}
  ) {
    edges {
      node {
        id
        text
        createdAt
      }
    }
  }
}
curl -X POST 'https://api.buffer.com' \
  -H 'Content-Type: application/json' \
  -H 'Authorization: Bearer YOUR_API_KEY' \
  -d '{"query": "query GetScheduledPosts {\n  posts(\n    input: {organizationId: \"some_organization_id\", sort: [{ field: dueAt, direction: asc  }, { field: createdAt, direction: desc  }] filter: {status: [scheduled]}}\n  ) {\n    edges {\n      node {\n        id\n        text\n        createdAt\n      }\n    }\n  }\n}"}'
const response = await fetch('https://api.buffer.com', {
  method: 'POST',
  headers: {
    'Content-Type': 'application/json',
    'Authorization': 'Bearer YOUR_API_KEY',
  },
  body: JSON.stringify({
    query: `
    query GetScheduledPosts {
      posts(
        input: {organizationId: "some_organization_id", sort: [{ field: dueAt, direction: asc  }, { field: createdAt, direction: desc  }] filter: {status: [scheduled]}}
      ) {
        edges {
          node {
            id
            text
            createdAt
          }
        }
      }
    }
    `,
  }),
});

const data = await response.json();
console.log(data);
<?php

$query = '
query GetScheduledPosts {
  posts(
    input: {organizationId: "some_organization_id", sort: [{ field: dueAt, direction: asc  }, { field: createdAt, direction: desc  }] filter: {status: [scheduled]}}
  ) {
    edges {
      node {
        id
        text
        createdAt
      }
    }
  }
}
';

$payload = [
    'query' => $query,
];

$ch = curl_init('https://api.buffer.com');
curl_setopt_array($ch, [
    CURLOPT_POST => true,
    CURLOPT_HTTPHEADER => [
        'Content-Type: application/json',
        'Authorization: Bearer YOUR_API_KEY',
    ],
    CURLOPT_POSTFIELDS => json_encode($payload),
    CURLOPT_RETURNTRANSFER => true,
]);

$response = curl_exec($ch);
curl_close($ch);

$data = json_decode($response, true);
print_r($data);